<script>
import JobsListHorizontalComponent from '@/components/gitlab/pipeline/JobsListHorizontalComponent.vue'
import JobsListVerticalComponent from '@/components/gitlab/pipeline/JobsListVerticalComponent.vue'
import StagesListVerticalComponent from '@/components/gitlab/pipeline/StagesListVerticalComponent.vue'

export default {
  name: 'PipelineSelectorComponent',
  components: {
    JobsListHorizontalComponent,
    StagesListVerticalComponent,
    JobsListVerticalComponent,
  },
  props: {
    route: {
      type: String,
      required: true,
    },
  },
  data() {
    return {
      selectedJobList: 'horizontal', // Default view
    }
  },

  mounted() {
    // Retrieve the selectedJobList value from localStorage
    const savedValue = localStorage.getItem('selectedJobList')
    if (savedValue)
      this.selectedJobList = savedValue
  },
  methods: {
    updateSelectedJobList(value) {
      // Update the selectedJobList with the emitted value
      this.selectedJobList = value

      // Save the value to localStorage
      localStorage.setItem('selectedJobList', value)
    },
  },
}
</script>

<template>
  <div>
    <div v-if="selectedJobList === 'horizontal'">
      <JobsListHorizontalComponent
        :route="route"
        @selected-value="updateSelectedJobList"
      />
    </div>
    <div v-else-if="selectedJobList === 'vertical'">
      <JobsListVerticalComponent
        :route="route"
        @selected-value="updateSelectedJobList"
      />
    </div>
    <div v-else-if="selectedJobList === 'stages'">
      <StagesListVerticalComponent
        :route="route"
        @selected-value="updateSelectedJobList"
      />
    </div>
  </div>
</template>

<style scoped>
/* No custom styles needed for Vuetify integration */
</style>
